%global _empty_manifest_terminate_build 0
Name:           perl-Parse-PMFile
Version:        0.45
Release:        1
Summary:        Parses .pm file as PAUSE does
License:        GPL-2.0
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Parse-PMFile/
Source0:        http://www.cpan.org/authors/id/I/IS/ISHIGAKI/Parse-PMFile-%{version}.tar.gz
Patch0:         Do-not-use-ExtUtils-MakeMaker-CPANfile.patch
BuildArch:      noarch

BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(File::Temp) >= 0.19
BuildRequires:  perl(JSON::PP) >= 2.00
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(version) >= 0.83
Requires:       perl(File::Spec)
Requires:       perl(JSON::PP) >= 2.00
Requires:       perl(version) >= 0.83
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
The most of the code of this module is taken from the PAUSE code as of
April 2013 almost verbatim. Thus, the heart of this module should be quite
stable. However, I made it not to use pipe ("-|") as well as I stripped database-
related code. If you encounter any issue, that's most probably because of
my modification.

%package help
Summary : provides perl-Parse-PMFile documents
Provides: perl-Parse-PMFile-doc

%description help
Man pages and other related documents.

%prep
%setup -q -n Parse-PMFile-%{version}
%patch0 -p1

%build
export PERL_MM_OPT=""
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
export PERL_MM_OPT=""

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

pushd %{buildroot}
touch filelist.lst
if [ -d usr/bin ];then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ];then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ];then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib ];then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
popd
mv %{buildroot}/filelist.lst .

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files -f filelist.lst
%defattr(-,root,root,-)
%doc Changes cpanfile META.json README
%{perl_vendorlib}/*

%files help
%{_mandir}/*

%changelog
* Mon Feb 05 2024 woody2918 <wudi1@uniontech.com> - 0.45-1
- update version to 0.45
- Make sure to stringify versions so that they are quoted when they are encoded in JSON
- Allow to parse class|role NAME VERSION

* Fri Jul 02 2021 wangqing <wangqing@uniontech.com> - 0.43-1
- Package init
